GrailsConsoleAntBuilder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.logging
[Java] Class GrailsConsoleAntBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.util.AntBuilder
                  org.codehaus.groovy.grails.cli.logging.GrailsConsoleAntBuilder

    public class GrailsConsoleAntBuilder
    extends groovy.util.AntBuilder

Silences ant builder output.

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`GrailsConsoleAntBuilder(org.apache.tools.ant.Project project)`
`GrailsConsoleAntBuilder()`

Method Summary
`static void` | `addGrailsConsoleBuildListener(org.apache.tools.ant.Project project)`
`protected static org.apache.tools.ant.Project` | `createAntProject()` @return Factory method to create new Project instances

Methods inherited from class groovy.util.AntBuilder
groovy.util.AntBuilder#getProject(), groovy.util.AntBuilder#getAntXmlContext(), groovy.util.AntBuilder#getAntProject(), groovy.util.AntBuilder#isSaveStreams(), groovy.util.AntBuilder#setSaveStreams(boolean), groovy.util.AntBuilder#invokeMethod(java.lang.String, java.lang.Object), groovy.util.AntBuilder#invokeMethod(java.lang.String), groovy.util.AntBuilder#getMetaClass(), groovy.util.AntBuilder#setMetaClass(groovy.lang.MetaClass), groovy.util.AntBuilder#setProperty(java.lang.String, java.lang.Object), groovy.util.AntBuilder#getProperty(java.lang.String), groovy.util.AntBuilder#wait(long, int), groovy.util.AntBuilder#wait(long), groovy.util.AntBuilder#wait(), groovy.util.AntBuilder#equals(java.lang.Object), groovy.util.AntBuilder#toString(), groovy.util.AntBuilder#hashCode(), groovy.util.AntBuilder#getClass(), groovy.util.AntBuilder#notify(), groovy.util.AntBuilder#notifyAll()

Methods inherited from class groovy.util.BuilderSupport
groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()

Constructor Detail

### GrailsConsoleAntBuilder

    public GrailsConsoleAntBuilder(org.apache.tools.ant.Project project)

### GrailsConsoleAntBuilder

    public GrailsConsoleAntBuilder()

Method Detail

### addGrailsConsoleBuildListener

    public static void addGrailsConsoleBuildListener(org.apache.tools.ant.Project project)

### createAntProject

    @java.lang.SuppressWarnings("unchecked")
    protected static org.apache.tools.ant.Project createAntProject()

  Returns:
    Factory method to create new Project instances

Groovy Documentation